import SwiftUI

struct AlocarEspaco: View {
    
    @Binding var total_assentos_linhas: Int
    @Binding var total_assentos_colunas: Int
    
    @Binding var assentosBloqueados : [Int]
    
    
    var body: some View {
        let colunas = Array(repeating: GridItem(.flexible(), spacing: 10), count: total_assentos_colunas)
        
        LazyVGrid(columns: colunas, spacing: 13) {
            ForEach(0..<(total_assentos_linhas * total_assentos_colunas), id: \.self) { numero in
                AlocarEspacoAssento(numero: numero, assentosBloqueados: $assentosBloqueados)
                    .onTapGesture {
                        if assentosBloqueados.contains(numero) {
                            assentosBloqueados =  assentosBloqueados.filter { $0 != numero }
                        } else {
                            assentosBloqueados.append(numero)
                        }
                        
                    }
            }
        }
    }
}

struct AlocarEspaco_Previews: PreviewProvider {
    static var previews: some View {
        AlocarEspaco(total_assentos_linhas: .constant(5), total_assentos_colunas: .constant(6), assentosBloqueados: .constant([1,3,4]))
    }
}
