import SwiftUI

struct MeusEventosItem: View {
    @State var evento: EventoResponse
    
    var body: some View {
        HStack {
            VStack {
                if #available(iOS 15.0, *) {
                    AsyncImage(url: URL(string: evento.imagem)) { imagem in
                        imagem
                            .resizable()
                            .frame(width: 80, height: 80)
                        
                    } placeholder: {
                        Image("placeholder")
                            .resizable()
                            .frame(width: 80, height: 80)
                    }
                    
                }
            }
            
            Spacer()
            
            VStack(alignment: .leading){
                Text(evento.titulo.prefix(30))
                    .foregroundColor(.black)
                    .font(.system(size: 18))
                
                Text(evento.descricao.prefix(40))
                    .foregroundColor(.gray)
                    .font(.system(size: 17))
                    .multilineTextAlignment(.leading)
                
                HStack {
                    Spacer()
                    Text(evento.data.toShortFormat(evento.data))
                        .foregroundColor(.black)
                        .font(.system(size: 14))
                }
                .padding(.top,3)
            }
        }
        .padding()
    }
    
}

