import SwiftUI

struct SolicitacaoItem: View {
    
    @State var imagem: String
    @State var nome: String
    @State var email: String
    
    var body: some View {
        HStack {
            VStack {
                if #available(iOS 15.0, *) {
                    AsyncImage(url: URL(string: imagem)) { imagem in
                        imagem
                            .resizable()
                            .frame(width: 80, height: 80)
                        
                    } placeholder: {
                        Image("placeholder")
                            .resizable()
                            .frame(width: 80, height: 80)
                    }

                }
            }
                

            VStack(alignment: .leading){
                Text(nome.prefix(30))
                    .foregroundColor(.black)
                    .font(.system(size: 22))
                
                Text(email.prefix(40))
                    .foregroundColor(.gray)
                    .font(.system(size: 18))
            }
            Spacer()
            VStack {
                HStack {
                    Button {
                        //
                    } label: {
                        Image(systemName: "trash.circle.fill")
                            .font(.system(size: 50))
                            .background(Color.white)
                            .foregroundColor(.red)
                    }
                    
                    Button {
                        //
                    } label: {
                        Image(systemName: "checkmark")
                            .font(.system(size: 50))
                            .foregroundColor(.green)
                    }
                }

            }
            .padding(.leading,10)
        }.padding()
    }
}

struct SolicitacaoItem_Previews: PreviewProvider {
    static var previews: some View {
        SolicitacaoItem(imagem: "", nome: "Davi Campos", email: "davi@mail.com")
    }
}
