import Foundation
import UIKit

class AdicionarEventoVM: ObservableObject {
    
    @Published var titulo: String = ""
    @Published var descricao: String = "Adicione uma descrição:"
    @Published var data: Date = Date()
    @Published var link: String = ""
    @Published var total_assentos_linhas: Int = 5
    @Published var total_Assentos_colunas: Int = 5
    @Published var imagem: UIImage?
    
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    
    @Published var assentosBloqueados: [Int] = [5000,5001,5002]
    
    
    func estaDigitando() -> Bool {
        if (descricao != "Adicione uma descrição:") {
            return true
        }
        return false
    }
    
    
    
    func adicionar() {
        if titulo == "" || descricao == "Adicione uma descrição:" || imagem == nil {
            self.mostrarMensagemErro = true
            self.mensagemErro = "Preencha os dados corretamentes"
            return
        }
        
        let jwt = UserDefaults.standard.string(forKey: "jwt")!
        let eventoService = EventoService.shared
        eventoService.adicionarEvento(jwt: jwt , titulo: titulo, descricao: descricao, link: link, data: data, total_assentos_linha: total_assentos_linhas, total_assentos_coluna: total_Assentos_colunas, imagem: (imagem?.pngData())!, assentos_bloqueados: assentosBloqueados) {  (result: Result<AdicionarEventoResponse,  EventoService.APIErro>) in
            switch result {
            case .success( _):
                DispatchQueue.main.async {
                    print("sucesso")
                }
                
                
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        print("erro \(erroDescricao)")
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
    }
    
}
