import Foundation

class AtualizarDadosVM: ObservableObject {
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    @Published var usuarioAtualizado = false
    
    func atualizar(jwt: String, nome: String, email: String) {
        let usuarioService = UsuarioService.shared
        usuarioService.atualizarDados(jwt,nome,email) { (result: Result<AtualizarDadosResponse,UsuarioService.APIErro>) in
            switch result {
            case .success( _):
                DispatchQueue.main.async {
                    self.usuarioAtualizado = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        print(erroDescricao)
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }

    }
}
