import Foundation

class AtualizarSenhaVM: ObservableObject {
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    @Published var senhaAtualizada = false
    @Published var senhaAtual : String = ""
    @Published var novaSenha : String = ""
    @Published var novaSenhaConfirmacao : String = ""
    
    
    
    func atualizar(jwt: String) {
        
        if novaSenha != novaSenhaConfirmacao {
            self.mostrarMensagemErro = true
            self.mensagemErro = "Senha não conferem"
            return
        }
        
        let usuarioService = UsuarioService.shared
        usuarioService.atualizarSenha(jwt,senhaAtual,novaSenha) { (result: Result<AtualizarDadosResponse,UsuarioService.APIErro>) in
            switch result {
            case .success( _):
                DispatchQueue.main.async {
                    self.senhaAtualizada = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        print(erroDescricao)
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }

    }
}
