import Foundation

class EventoDetalheVM: ObservableObject {
    
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    
    @Published var eventoApagado = false
    @Published var solicitacaoEnviada = false
    
    func apagar(jwt: String , id: Int) {
        let eventoService = EventoService.shared
        eventoService.apagarEvento(jwt: jwt, id: id) { (result: Result<ApagarEventoResponse,EventoService.APIErro>) in
            switch result {
            case .success(_):
                DispatchQueue.main.async {
                    self.eventoApagado = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
        
    }
    
    func solicitarPresenca(jwt: String , id: Int) {
        let solicitacaoService = SolicitacaoService.shared
        solicitacaoService.solicitarPresenca(jwt: jwt, evento: id) { (result: Result<SolicitacaoResponse,SolicitacaoService.APIErro>) in
            switch result {
            case .success(_):
                DispatchQueue.main.async {
                    self.solicitacaoEnviada = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
        
    }
}
