import Foundation

class LoginVM: ObservableObject {
    
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    @Published var autenticado = false
    
    @Published var email = ""
    @Published var senha = ""
    
    func login() {
        let autenticacaoService = AutenticacaoService.shared
        autenticacaoService.login(email,senha) { (result: Result<LoginResponse,AutenticacaoService.APIErro>) in
            switch result {
            case .success(let response):
                DispatchQueue.main.async {
                    UserDefaults.standard.set(response.jwt, forKey: "jwt")
                    self.autenticado = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
        
    }
}
