import Foundation

class MeusEventosVM: ObservableObject {
    
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    @Published var opcao : TiposEventos = .meus
    @Published var eventos: [EventoResponse] = []
    
    @Published var codigo = ""
    @Published var evento: EventoResponse?
    @Published var achouEvento = false
    
    init() {}
    
    func getEventos(jwt: String) {
        var url = "participacoes"
        
        if opcao == .meus {
            url = "meus"
        }
        
        let eventoService = EventoService.shared
        eventoService.getParticipacoes(jwt: jwt,opcao: url) { (result: Result<[EventoResponse],EventoService.APIErro>) in
            switch result {
            case .success(let response):
                DispatchQueue.main.async {
                    self.eventos = response
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        if erroDescricao == "Vazio" {
                            self.eventos = []
                        } else {
                            self.mostrarMensagemErro = true
                            self.mensagemErro = erroDescricao
                        }
                        
                    }
                }
            }
        }
        
    }
    
    func getEvento(jwt: String) {
        if codigo == "" {
            codigo = "1"
        }
        let eventoService = EventoService.shared
        eventoService.getEvento(jwt: jwt,codigo: codigo) { (result: Result<EventoResponse,EventoService.APIErro>) in
            switch result {
            case .success(let response):
                DispatchQueue.main.async {
                    print(response)
                    self.evento = response
                    self.achouEvento = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        print(erroDescricao)
                        self.achouEvento = false
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
    }
    
    
}
