import Foundation

class RegistroVM: ObservableObject {
    @Published var mostrarMensagemErro = false
    @Published var mensagemErro = ""
    @Published var usuarioRegistrado = false
    @Published var nome = ""
    @Published var email = ""
    @Published var senha = ""
    
    func registrar() {
        let autenticacaoService = AutenticacaoService.shared
        autenticacaoService.registrar(nome,email,senha) { (result: Result<RegistroResponse,AutenticacaoService.APIErro>) in
            switch result {
            case .success( _):
                DispatchQueue.main.async {
                    self.usuarioRegistrado = true
                }
            case .failure(let erro):
                DispatchQueue.main.async {
                    switch erro {
                    case .error(let erroDescricao):
                        print(erroDescricao)
                        self.mostrarMensagemErro = true
                        self.mensagemErro = erroDescricao
                    }
                }
            }
        }
        
    }
}
