import SwiftUI

struct AtualizarDadosView: View {
    
    @StateObject var atualizarVM =  AtualizarDadosVM()
    @AppStorage("jwt") var jwt = ""
    @State var email: String
    @State var nome: String
    
    var body: some View {
        VStack {
            Form {
                Section {
                    TextField("Digite seu nome", text: $nome)
                } header: {
                    Text("Nome")
                }
                
                Section {
                    TextField("Digite seu email", text: $email)
                } header: {
                    Text("Email")
                }
            }
            .alert(isPresented: $atualizarVM.mostrarMensagemErro) {
                Alert(
                    title: Text("OOPS"),
                    message: Text(atualizarVM.mensagemErro),
                    dismissButton: .default(Text("OK"), action: {
                        atualizarVM.mostrarMensagemErro = false
                    })
                )
            }
            
        }
        .navigationBarTitle("Atualizar Dados")
        .navigationBarItems(trailing: Button(action: {
            atualizarVM.atualizar(jwt: jwt, nome: nome, email: email)
        }, label: {
            Text("Salvar")
        }))
        .alert(isPresented: $atualizarVM.usuarioAtualizado) {
            Alert(
                title: Text("Sucesso"),
                message: Text("Usuário atualizado com sucesso"),
                dismissButton: .default(Text("OK"), action: {
                    atualizarVM.usuarioAtualizado = false
                })
            )
        }
    }
}

struct AtualizarDadosView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            AtualizarDadosView(email: "davi@mail.com", nome: "Davi Campos")
        }
    }
}
