import SwiftUI

struct AtualizarSenhaView: View {
    
    @StateObject var atualizarVM =  AtualizarSenhaVM()
    @AppStorage("jwt") var jwt = ""
    
    var body: some View {
        VStack {
            Form {
                Section {
                    TextField("Digite sua senha atual", text: $atualizarVM.senhaAtual)
                } header: {
                    Text("Senha Atual")
                }
                
                Section {
                    TextField("Digite a nova Senha", text: $atualizarVM.novaSenha)
                } header: {
                    Text("Nova senha")
                }
                .alert(isPresented: $atualizarVM.mostrarMensagemErro) {
                    Alert(
                        title: Text("OOPS"),
                        message: Text(atualizarVM.mensagemErro),
                        dismissButton: .default(Text("OK"), action: {
                            atualizarVM.mostrarMensagemErro = false
                        })
                    )
                }
                
                Section {
                    TextField("Confirme a nova senha", text: $atualizarVM.novaSenhaConfirmacao)
                } header: {
                    Text("Confirme a nova senha")
                }
            }
            
            
        }
        .navigationBarTitle("Atualizar Senha")
        .navigationBarItems(trailing: Button(action: {
            atualizarVM.atualizar(jwt: jwt)
        }, label: {
            Text("Alterar")
        }))
        .alert(isPresented: $atualizarVM.senhaAtualizada) {
            Alert(
                title: Text("Sucesso"),
                message: Text("Senha atualizada com sucesso"),
                dismissButton: .default(Text("OK"), action: {
                    atualizarVM.senhaAtualizada = false
                })
            )
        }
    }
}

struct AtualizarSenhaView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            AtualizarSenhaView()
        }
    }
}
