import { Usuario } from './Usuario.entity';
import { Evento } from './Evento.entity';

import { Column, Entity, ManyToOne, OneToOne, PrimaryGeneratedColumn } from "typeorm";

@Entity({ name: 'assento' })
export class Assento {
    @PrimaryGeneratedColumn()
    id: number
    @Column()
    status: string
    @Column()
    numeracao: number
    @ManyToOne(() => Evento, evento => evento.assentos, { onDelete: 'CASCADE' })
    evento: Evento
    @ManyToOne(() => Usuario, usuario => usuario.participacoes)
    participante: Usuario
}