import { Solicitacao } from './Solicitacao.entity';
import { Assento } from './Assento.entity';
import { Usuario } from './Usuario.entity';
import { Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";

@Entity({ name: 'evento' })
export class Evento {
    @PrimaryGeneratedColumn()
    id: number

    @Column()
    codigo: string

    @Column()
    titulo: string

    @Column()
    descricao: string

    @Column()
    data: Date

    @Column()
    total_assentos_linha: number

    @Column()
    total_assentos_coluna: number

    @Column({
        nullable: false,
        name: 'link_reuniao',
        default: ''
    })
    link: string

    @Column({
        name: 'imagem_evento',
        nullable: false,
        default: ''
    })
    imagem: string

    @ManyToOne(() => Usuario, usuario => usuario.eventos, { eager: true })
    criador: Usuario

    @OneToMany(() => Assento, assento => assento.evento, {
        eager: true
    })
    assentos: Assento[]

    @OneToMany(() => Solicitacao, solicitacao => solicitacao.evento)
    solicitacoes: Solicitacao[]
}