import { Evento } from './Evento.entity';
import { Usuario } from './Usuario.entity';
import { Column, Entity, ManyToMany, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";

@Entity({ name: 'solicitacao' })
export class Solicitacao {
    @PrimaryGeneratedColumn()
    id: number

    @ManyToOne(() => Usuario, usuario => usuario.solicitacoes, { eager: true })
    participante: Usuario

    @ManyToOne(() => Evento, evento => evento.solicitacoes, { eager: true, onDelete: 'CASCADE' })
    evento: Evento

}