import { Assento } from './Assento.entity';
import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Evento } from "./Evento.entity";
import { Solicitacao } from "./Solicitacao.entity";

@Entity({ name: 'usuario' })
export class Usuario {
    @PrimaryGeneratedColumn()
    id: number
    @Column()
    nome: string
    @Column({
        unique: true
    })
    email: string
    @Column()
    senha: string
    @Column({
        name: 'imagem',
        nullable: false,
        default: ''
    })
    foto: string
    @OneToMany(() => Evento, evento => evento.criador)
    eventos: Evento[]

    @OneToMany(() => Solicitacao, solicitacao => solicitacao.participante)
    solicitacoes: Solicitacao[]

    @OneToMany(() => Assento, assento => assento.participante)
    participacoes: Assento[]
}