import { Usuario } from './../entidades/Usuario.entity';
import { getManager } from 'typeorm';
import { Request, Response } from "express";
import { verify } from 'jsonwebtoken';


export const AutenticacaoMiddleware = async (req: Request, res: Response, next: Function) => {
    try {
        const jwt = req.headers['jwt'] as string;

        const payload: any = verify(jwt, process.env.SECRET_KEY)

        if (!payload) {
            return res.status(401).send({
                message: 'Não autorizado'
            })
        }

        const repository = getManager().getRepository(Usuario)

        req['usuario'] = await repository.findOne(payload.id)

        next()
    } catch (error) {
        return res.status(401).send({
            message: 'Não autorizado'
        })
    }
}