import { getManager, Repository } from 'typeorm';
import { Assento } from './../../entidades/Assento.entity';
import { IAssentoRepositorio } from './../IAssentoRepositorio';

export class AssentoRepositorio implements IAssentoRepositorio {
    private repositorio: Repository<Assento>

    constructor() {
        this.repositorio = getManager().getRepository(Assento)
    }

    async salvar(assento: Assento): Promise<void> {
        await this.repositorio.save(assento)
    }

    async liberarAssento(assentoId: any): Promise<void> {
        const assento = await this.repositorio.findOne({ id: assentoId })
        if (assento) {
            assento.participante = null
            assento.status = "LIVRE"
            await this.repositorio.save(assento)
        }
    }
}