import { AutenticacaoMiddleware } from './../middleware/autenticacao';
import { Router } from 'express';
import { adicionarEventoController } from '../useCases/adicionarEvento';
import { consultarUltimosEventosController } from '../useCases/ConsultarUltimosEventos';
import { consultarEventoController } from '../useCases/consultarEvento';
import { apagarEventoController } from '../useCases/apagarEvento';
import { consultarParticipacoesControler } from '../useCases/consultarParticipacoes';
import { consultarEventosCriadosController } from '../useCases/consultarEventosCriados';
import { consultarParticipacoesEventoController } from '../useCases/consultarParticipacoesEvento';
const routerUsuario = Router()

routerUsuario.post('',AutenticacaoMiddleware ,(request, response) => {
    return adicionarEventoController.handle(request,response)
})

routerUsuario.get('/meus',AutenticacaoMiddleware ,(request, response) => {
    return consultarEventosCriadosController.handle(request,response)
})

routerUsuario.get('/participacoes',AutenticacaoMiddleware ,(request, response) => {
    return consultarParticipacoesControler.handle(request,response)
})

routerUsuario.delete('/:id',AutenticacaoMiddleware ,(request, response) => {
    return apagarEventoController.handle(request,response)
})

routerUsuario.get('/ultimos',AutenticacaoMiddleware ,(request, response) => {
    return consultarUltimosEventosController.handle(request,response)
})

routerUsuario.get('/participacoes/:id',AutenticacaoMiddleware ,(request, response) => {
    return consultarParticipacoesEventoController.handle(request,response)
})

routerUsuario.get('/:codigo',AutenticacaoMiddleware ,(request, response) => {
    return consultarEventoController.handle(request,response)
})

export default routerUsuario