import { AutenticacaoMiddleware } from './../middleware/autenticacao';
import { Router } from 'express';
import { solicitarParticipacaoController } from '../useCases/solicitarParticipacao';
import { confirmarSolicitacaoController } from '../useCases/confirmarSolicitacao';
import { consultarSolicitacoesController } from '../useCases/consultarSolicitacoes';
import { apagarSolicitacaoController } from '../useCases/apagarSolicitacao';
import { removerParticipanteController } from '../useCases/removerParticipante';
const routerSolicitacao = Router()

routerSolicitacao.post('/:id', AutenticacaoMiddleware, (request, response) => {
    return solicitarParticipacaoController.handle(request,response)
})

routerSolicitacao.delete('/:id', AutenticacaoMiddleware, (request, response) => {
    return apagarSolicitacaoController.handle(request,response)
})

routerSolicitacao.delete('/assento/:id', AutenticacaoMiddleware, (request, response) => {
    return removerParticipanteController.handle(request,response)
})

routerSolicitacao.get('/:id', AutenticacaoMiddleware, (request, response) => {
    return consultarSolicitacoesController.handle(request,response)
})

routerSolicitacao.post('/confirmar/:id', AutenticacaoMiddleware, (request, response) => {
    return confirmarSolicitacaoController.handle(request,response)
})



export default routerSolicitacao
