import { AutenticacaoMiddleware } from './../middleware/autenticacao';
import { Router } from "express";
import { adicionarusuarioController } from "../useCases/adicionarUsuario";
import { logarUsuarioController } from '../useCases/logarUsuario';
import { atualizarUsuarioController } from '../useCases/atualizarUsuario';
import { consultarUsuarioController } from '../useCases/consultarUsuario';
import { trocarSenhaController } from '../useCases/trocarSenha';
import { atualizarFotoPerfilController } from '../useCases/atualizarFotoPerfil';

const routerUsuario = Router()

routerUsuario.post('', (request, response) => {
    return adicionarusuarioController.handle(request,response)
})

routerUsuario.get('', AutenticacaoMiddleware,  (request, response) => {
    return consultarUsuarioController.handle(request,response)
})

routerUsuario.post('/login', (request, response) => {
    return logarUsuarioController.handle(request,response)
})

routerUsuario.put('',  AutenticacaoMiddleware ,(request, response) => {
    return atualizarUsuarioController.handle(request,response)
})

routerUsuario.post('/foto',  AutenticacaoMiddleware ,(request, response) => {
    return atualizarFotoPerfilController.handle(request,response)
})

routerUsuario.post('/redefinir',  AutenticacaoMiddleware ,(request, response) => {
    return trocarSenhaController.handle(request,response)
})

export default routerUsuario