require('dotenv').config()
import "reflect-metadata";
import { createConnection } from "typeorm"
import express from "express";
import cors from 'cors'

createConnection().then(async () => {
    const app = express()
    
    app.use(express.json())
    app.use(cors({
        credentials: true,
        origin: ['http://localhost:3000']
    }))

    const routerUsuario = await import('./rotas/usuario')
    const routerEvento = await import('./rotas/evento')
    const routerSolicitacao = await import('./rotas/solicitacao')

    app.use('/api/uploads',express.static('./uploads'))
    app.use('/api/v1/usuario/', routerUsuario.default)
    app.use('/api/v1/evento/', routerEvento.default)
    app.use('/api/v1/solicitacao/', routerSolicitacao.default)

    app.listen(8000, () => {
        console.log('Server iniciado')
    })
})
    .catch(error => {
        console.log(error)
    })
