import { UltimosEventosDTO } from './ultimosEventosDTO';
import { ConsultarUltimosEventosUseCase } from './consultarUltimosEventosUseCase';
import { Usuario } from './../../entidades/Usuario.entity';
import { Request, Response } from 'express';

export class ConsultarUltimosEventosController {

    constructor(private consultarUltimosEventosUseCase: ConsultarUltimosEventosUseCase) { }

    async handle(request: Request, response: Response): Promise<Response> {
        const usuario = request['usuario'] as Usuario

        if (!usuario) {
            return response.status(400).json({ mensagem: 'Não autorizado' })
        }

        try {
            const eventos = await this.consultarUltimosEventosUseCase.execute()
            return response.status(200).json(eventos)

        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }
    }

}