import { AssentoRepositorio } from './../../repositorios/implementacao/AssentoRepositorio';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { AdicionarEventoController } from './adicionarEventoController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { AdicionarEventoUseCase } from './adicionarEventoUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const eventoRepositorio = new EventoRepositorio()
const assentoRepositorio = new AssentoRepositorio()

const adicionarEventoUseCase = new AdicionarEventoUseCase(eventoRepositorio,usuarioRepositorio, assentoRepositorio)

const adicionarEventoController = new AdicionarEventoController(
    adicionarEventoUseCase
)

export { adicionarEventoUseCase , adicionarEventoController }