import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
import { IEventoRepositorio } from './../../repositorios/IEventoRepositorio';
export class ApagarEventoUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio, private eventoRepositorio: IEventoRepositorio) {}

    async execute(usuarioId: number, eventoId: number): Promise<void> {
        const usuario = await this.usuarioRepositorio.findById(usuarioId)

        if (!usuario) 
            throw new Error('Não autorizado')

        const evento = await this.eventoRepositorio.findById(eventoId)

        if (!evento)
            throw new Error('Evento não existe')

        if (evento.criador.id !== usuario.id)
            throw new Error('Não autorizado')
        await this.eventoRepositorio.apagar(evento)
    }
}