import { ApagarEventoController } from './apagarEventoController';
import { ApagarEventoUseCase } from './apagarEventoUseCase';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';


const eventoRepositorio = new EventoRepositorio()
const usuarioRepositorio = new UsuarioRepositorio()

const apagarEventoUseCase = new ApagarEventoUseCase(
    usuarioRepositorio, eventoRepositorio
)
const apagarEventoController = new ApagarEventoController(
    apagarEventoUseCase
)

export { apagarEventoController , apagarEventoUseCase }