import { ApagarSolicitacaoUseCase } from './apagarSolicitacaoUseCase';
import { Request, Response } from 'express';
import { Usuario } from './../../entidades/Usuario.entity';


export class ApagarSolicitacaoController {

    constructor(private apagarSolicitacaoUseCase: ApagarSolicitacaoUseCase) { }

    async handle(request: Request, response: Response): Promise<Response> {
        const usuario = request['usuario'] as Usuario

        if (!usuario) {
            return response.status(400).json({ mensagem: 'Não autorizado' })
        }

        try {
            const solicitacaoId = Number(request.params['id'])
            await this.apagarSolicitacaoUseCase.execute(solicitacaoId)
            return response.status(200).json({ mensagem: 'Solicitação apagada com sucesso' })

        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }
    }

}