import { ISolicitacaoRepositorio } from './../../repositorios/ISolicitacaoRepositorio';

export class ApagarSolicitacaoUseCase {

    constructor(private solicitacaoRepositorio: ISolicitacaoRepositorio) {}

    async execute(solicitacaoId: number): Promise<void> {
        const solicitacao = await this.solicitacaoRepositorio.findById(solicitacaoId)

        if (!solicitacao)
            throw new Error('Solicitação não existe')

        await this.solicitacaoRepositorio.apagar(solicitacao)
    }
}