import { Request, Response } from 'express';
import { Usuario } from './../../entidades/Usuario.entity';
import { AtualizarUsuarioDTO } from './atualizarUsuarioDTO';
import { AtualizarusuarioUseCase } from './atualizarUsuarioUseCase';
export class AtualizarUsuarioController {

    constructor(private atualizarUsuarioUseCase: AtualizarusuarioUseCase) { }

    async handle(request: Request, response: Response): Promise<Response> {

        const { nome, email }: AtualizarUsuarioDTO = request.body

        const usuario = request['usuario'] as Usuario

        try {
            await this.atualizarUsuarioUseCase.execute({
                nome,
                email
            }, usuario.id)

            return response.status(201).json({ mensagem: 'Usuário atualizado' })
        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }

    }

}