import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { ConfirmarSolicitacaoController } from './confirmarSolicitacaoController';
import { AssentoRepositorio } from './../../repositorios/implementacao/AssentoRepositorio';
import { SolicitacaoRepositorio } from './../../repositorios/implementacao/SolicitacaoRepositorio';
import { ConfirmarSolicitacaoUseCase } from './confirmarSolicitacaoUseCase';
const solicitacaoRepositorio = new SolicitacaoRepositorio()
const assentoRepositorio = new AssentoRepositorio()
const eventoRepositorio = new EventoRepositorio()

const confirmarSolicitacaoUseCase = new ConfirmarSolicitacaoUseCase(solicitacaoRepositorio,assentoRepositorio,eventoRepositorio)

const confirmarSolicitacaoController = new ConfirmarSolicitacaoController(
    confirmarSolicitacaoUseCase
)

export { confirmarSolicitacaoController , confirmarSolicitacaoUseCase }