import { Usuario } from './../../entidades/Usuario.entity';
import { Request, Response } from 'express';
import { ConsultarUsuarioUseCase } from './consultarUsuarioUseCase';
export class ConsultarUsuarioController {

    constructor(private consultarUsuarioUseCase: ConsultarUsuarioUseCase) { }

    async handle(request: Request, response: Response): Promise<Response> {
        const usuario = request['usuario'] as Usuario

        if (!usuario) {
            return response.status(400).json({ mensagem: 'Não autorizado' })
        }

        try {

            const { id, nome, email, foto } = await this.consultarUsuarioUseCase.execute(usuario.id)

            return response.status(200).json({id, email, nome, foto: (foto ?? '')})

        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }
    }

}