import { Usuario } from './../../entidades/Usuario.entity';
import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
import bcryptjs from "bcryptjs"

export class LogarUsuarioUseCase {
    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(email: string , senha: string): Promise<Usuario> {
        const usuario = await this.usuarioRepositorio.findByEmail(email)
        if (!usuario) {
            return null
        }        

        if (!await bcryptjs.compare(senha, usuario.senha)) {
            return null
        }

        return usuario
    }
}