import { Usuario } from './../../entidades/Usuario.entity';
import { Request, Response } from 'express';
import { RemoverParticipanteUseCase } from './removerParticipanteUseCase';
export class RemoverParticipanteController {

    constructor(private removerParticipanteUseCase: RemoverParticipanteUseCase) { }

    async handle(request: Request, response: Response): Promise<Response> {
        const usuario = request['usuario'] as Usuario

        if (!usuario) {
            return response.status(400).json({ mensagem: 'Não autorizado' })
        }

        try {
            const assentoId = Number(request.params['id'])
            const evento = await this.removerParticipanteUseCase.execute(assentoId)


            return response.status(200).json({ mensagem: 'Assento Liberado' })

        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }
    }

}