import { SolicitarParticipacaoController } from './solicitarParticipacaoController';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { SolicitacaoRepositorio } from './../../repositorios/implementacao/SolicitacaoRepositorio';
import { SolicitarParticipacaoUseCase } from './solicitarParticipacaoUseCase';

const eventoRepositorio = new EventoRepositorio()
const usuarioRepositorio = new UsuarioRepositorio()
const solicitacaoRepositorio = new SolicitacaoRepositorio()


const solicitarParticipacaoUseCase = new SolicitarParticipacaoUseCase(usuarioRepositorio,eventoRepositorio,solicitacaoRepositorio)
const solicitarParticipacaoController = new SolicitarParticipacaoController(
    solicitarParticipacaoUseCase
)

export { solicitarParticipacaoController , solicitarParticipacaoUseCase }