import { Solicitacao } from './../../entidades/Solicitacao.entity';
import { IEventoRepositorio } from './../../repositorios/IEventoRepositorio';
import { ISolicitacaoRepositorio } from './../../repositorios/ISolicitacaoRepositorio';
import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';


export class SolicitarParticipacaoUseCase {
    constructor(private usuarioRepositorio: IUsuarioRepositorio, private eventoRepositorio: IEventoRepositorio, private solicitacaoRepositorio: ISolicitacaoRepositorio) { }

    async execute(usuarioId: number, eventoId: number) {
        const usuario = await this.usuarioRepositorio.findById(usuarioId)
        
        if(!usuario)
            throw new Error('Usuário não existe')
        
        const evento = await this.eventoRepositorio.findById(eventoId)

        if(!evento)
            throw new Error('Evento não existe')

        
        const solicitacao = new Solicitacao()
        solicitacao.evento = evento
        solicitacao.participante = usuario
        await this.solicitacaoRepositorio.salvar(solicitacao)
    }
}