import { Usuario } from './../../entidades/Usuario.entity';
import { TrocarSenhaDTO } from './trocarSenhaDTO';
import { Request, Response } from 'express';
import { TrocarSenhaUseCase } from './trocarSenhaUseCase';

export class TrocarSenhaController {

    constructor(private trocarSenhaUseCase: TrocarSenhaUseCase) {}

    async handle(request: Request, response: Response): Promise<Response> {

        const { novaSenha , senhaAtual } : TrocarSenhaDTO = request.body

        if (!novaSenha || !senhaAtual)
            return response.status(400).json({ mensagem: 'Parametros inválidos' })

        const usuario = request['usuario'] as Usuario

        try {
            await this.trocarSenhaUseCase.execute(usuario.id , senhaAtual , novaSenha)
            return response.status(200).json({ mensagem: 'Senha alterada' })
        } catch (erro) {
            return response.status(500).json({
                mensagem: erro.message || 'Erro inesperado'
            })
        }

    }

}