import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
import bcryptjs from "bcryptjs"

export class TrocarSenhaUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(id: number , senhaAtual: string , novaSenha: string) {
        const usuario = await this.usuarioRepositorio.findById(id)
        if (!usuario)
            throw new Error('Usuario não encontrado')
        
        if (!await bcryptjs.compare(senhaAtual, usuario.senha)) {
            throw new Error('Senha Errada')
        }    

        const senha = await bcryptjs.hash(novaSenha, 10)
        await this.usuarioRepositorio.updateSenha(senha,usuario.id)

    }

}